<?php

date_default_timezone_set('America/Sao_Paulo');

if(!isset($_SESSION)) {
  session_start();
}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
  require_once 'inc/ramo_atividades.php';
  $redirect = 'erpc_ramo_atividades_list.php';
  $ramo_atividades = ramo_atividades_create();
  if (isset($_POST['ramo_atividades'])) {
    $ramo_atividades = array_replace_recursive($ramo_atividades, $_POST['ramo_atividades']);
  }
  if (isset($_POST['btn-add'])) {
    $ok = ramo_atividades_insert($ramo_atividades);
    if ($ok === false) {
      $redirect = 'erpc_ramo_atividades_add.php';
    }
  } else if (isset($_POST['btn-edit'])) {
    $ok = ramo_atividades_update($ramo_atividades);
    if ($ok === false) {
      $redirect = 'erpc_ramo_atividades_edit.php?id=' . urlencode(base64_encode($ramo_atividades['id']));
    }
  } else if (isset($_POST['btn-remove'])) {
    $ok = ramo_atividades_delete($ramo_atividades);
    if ($ok === false) {
      $redirect = 'erpc_ramo_atividades_remove.php?id=' . urlencode(base64_encode($ramo_atividades['id']));
    }
  }
  header("Location:$redirect");
  exit;
}
